// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      throw UnsupportedError(
        'DefaultFirebaseOptions have not been configured for web - '
        'you can reconfigure this by running the FlutterFire CLI again.',
      );
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyA6D9N_Ndz9bOMBnD3_dPsKcHtfKV-T6xc',
    appId: '1:53033487394:android:e0a98dac0055a15f290e7b',
    messagingSenderId: '53033487394',
    projectId: 'scale3c-flutter-test',
    storageBucket: 'scale3c-flutter-test.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyD30VR6tLn4kcBF0AuINgVyg84T6I1ESaI',
    appId: '1:53033487394:ios:ede13fe15db3c380290e7b',
    messagingSenderId: '53033487394',
    projectId: 'scale3c-flutter-test',
    storageBucket: 'scale3c-flutter-test.appspot.com',
    androidClientId: '53033487394-8u6npskv0f3snhrotmv5f5lfd84olvk2.apps.googleusercontent.com',
    iosClientId: '53033487394-t5vg60kkv71aq40156tfakqi7g2td9h3.apps.googleusercontent.com',
    iosBundleId: 'com.scale3c.FlutterTestApp',
  );
}
